Avaya Client Services API Reference (iOS)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | List of all members
CSIPOfficeConfiguration Class Reference

Configuration information for IP Office. More...

`#import <CSIPOfficeConfiguration.h>`

Inherits NSObject.

## Properties
BOOL | enabled
| A Boolean value indicating whether the IP Office provider is enabled. More...
BOOL | messagingEnabled
| A Boolean value indicating whether to enable One-X Portal messaging service for IP Office. More...
BOOL | contactsEnabled
| A Boolean value indicating whether the IP Office contacts provider is enabled. More...
BOOL | presenceEnabled
| A Boolean value indicating whether the IP Office presence provider is enabled. More...
BOOL | callLogEnabled
| A Boolean value indicating whether the IP Office Centralized Call Log is enabled. More...
BOOL | conferenceControlsEnabled
| A Boolean value indicating whether the IP Office Conference controls are enabled. More...
BOOL | callRecordingEnabled
| A Boolean value indicating whether the IP Office call recording is enabled. More...
BOOL | callHandoverEnabled
| A Boolean value indicating whether the IP Office call handover is enabled. More...
CSServerInfo * | server
| The signaling server to connect with. More...
id< CSCredentialProvider > | credentialProvider
| The credential provider. More...
id< CSCredentialProvider > | messagingCredentialProvider
| Messaging credential provider. More...
NSURL * | primaryMessagingServerUrl
| The URL of the primary messaging server. More...
NSURL * | secondaryMessagingServerUrl
| The URL of the secondary messaging server. More...
NSTimeInterval | initialReconnectInterval
| The initial time interval between a connection failure and a reconnect attempt. More...
NSTimeInterval | maxReconnectInterval
| The maximum time interval between a connection failure and a reconnect attempt. More...
BOOL | messagingPushNotificationEnabled
| A Boolean value indicating whether Push Notifications are enabled. More...
NSData * | messagingRemoteNotificationDeviceToken
| A unique app-device token assigned by Apple to an application instance running in a specific iOS device. More...
BOOL | useDevelopmentPushNotificationNetwork
| A Boolean value indicating whether incoming push notification events should be sent through Apple's development push notification network (api.development.push.apple.com) or the production push notification network (api.push.apple.com). More...
BOOL | monAppsEnabled
| A Boolean value indicating whether the IP Office MonApps service is enabled. More...

## Detailed Description

Configuration information for IP Office.

## Property Documentation

- (BOOL) callHandoverEnabled
| read write nonatomic assign

A Boolean value indicating whether the IP Office call handover is enabled.

- (BOOL) callLogEnabled
| read write nonatomic assign

A Boolean value indicating whether the IP Office Centralized Call Log is enabled.

- (BOOL) callRecordingEnabled
| read write nonatomic assign

A Boolean value indicating whether the IP Office call recording is enabled.

- (BOOL) conferenceControlsEnabled
| read write nonatomic assign

A Boolean value indicating whether the IP Office Conference controls are enabled.

- (BOOL) contactsEnabled
| read write nonatomic assign

A Boolean value indicating whether the IP Office contacts provider is enabled.

- (id<CSCredentialProvider>) credentialProvider
| read write nonatomic weak

The credential provider.

- (BOOL) enabled
| read write nonatomic assign

A Boolean value indicating whether the IP Office provider is enabled.

- (NSTimeInterval) initialReconnectInterval
| read write nonatomic assign

The initial time interval between a connection failure and a reconnect attempt.

If connection attempts continue to fail the reconnect interval will be progressively extended using a backoff algorithm based on this initial reconnect interval. The default is 2 seconds.

Set to zero to disable automatic reconnection attempts. Values < 0 or > 65535 are ignored.

- (NSTimeInterval) maxReconnectInterval
| read write nonatomic assign

The maximum time interval between a connection failure and a reconnect attempt.

The default is 1800 seconds. Values < 0 or > 65535 are ignored.

- (id<CSCredentialProvider>) messagingCredentialProvider
| read write nonatomic weak

Messaging credential provider.

The messaging service and server are not coupled to SIP service.

- (BOOL) messagingEnabled
| read write nonatomic assign

A Boolean value indicating whether to enable One-X Portal messaging service for IP Office.

- (BOOL) messagingPushNotificationEnabled
| read write nonatomic assign

A Boolean value indicating whether Push Notifications are enabled.

- (NSData*) messagingRemoteNotificationDeviceToken
| read write nonatomic copy

A unique app-device token assigned by Apple to an application instance running in a specific iOS device.

This is used by the OneXPortal server when sending messaging events towards the push notification client.

- (BOOL) monAppsEnabled
| read write nonatomic assign

A Boolean value indicating whether the IP Office MonApps service is enabled.

MonApps are miscellaneous PBX features which are not call features but are still useful for a user application to be able to monitor. Current support is for the monitoring of button MonApp only.

- (BOOL) presenceEnabled
| read write nonatomic assign

A Boolean value indicating whether the IP Office presence provider is enabled.

- (NSURL*) primaryMessagingServerUrl
| read write nonatomic copy

The URL of the primary messaging server.

- (NSURL*) secondaryMessagingServerUrl
| read write nonatomic copy

The URL of the secondary messaging server.

- (CSServerInfo*) server
| read write nonatomic strong

The signaling server to connect with.

- (BOOL) useDevelopmentPushNotificationNetwork
| read write nonatomic assign

A Boolean value indicating whether incoming push notification events should be sent through Apple's development push notification network (api.development.push.apple.com) or the production push notification network (api.push.apple.com).

The Boolean flag is set to YES if the application is built using a development provisioning profile. By default, the property is set to NO, and Apple's production network is used to route push notification messages.

The documentation for this class was generated from the following file:

- CSIPOfficeConfiguration.h